
D4Science Infrastructure - Task #12087

Remove services from Edison VO

Jul 02, 2018 02:32 PM - Roberto Cirillo

Status: Closed Start date: Jul 02, 2018

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: EDISON goodbye   

Infrastructure: Production   

Description

It's needed to remove the Edison scope from the following services:

accounting-service1.d4science.org

accounting-service2.d4science.org

accounting-service3.d4science.org

catalogue-ws.d4science.org

resource-registry1.d4science.org

resource-registry2.d4science.org

node44.p.d4science.research-infrastructures.eu

storagehub1.d4science.org

workspace-repository-prod1.d4science.org (HL webbapp)

socialnetworking1.d4science.org

registry.d4science.org

sdi.d4science.org

thredds.d4science.org

 In addition this scope should be removed from all the dataminer instances currently deployed in production

Related issues:

Related to D4Science Infrastructure - Upgrade #12019: D4Science Infrastructur... Completed Jul 05, 2018 Jul 17, 2018

Related to D4Science Infrastructure - Task #11862:  Dismiss EDISON Virtual Or... Closed May 31, 2018 Jun 01, 2018

Related to D4Science Infrastructure - Task #12352: Add new VO scope D4OS to a... Closed Aug 30, 2018

Blocks D4Science Infrastructure - Task #12090: Remove Edison VO scope from in... Closed Jul 02, 2018

History

#1 - Jul 02, 2018 02:33 PM - Roberto Cirillo

- Blocks Task #11862:  Dismiss EDISON Virtual Organisation and related enabling services added

#2 - Jul 02, 2018 03:11 PM - Roberto Cirillo

- Blocks Task #12090: Remove Edison VO scope from infrastructure-monitor added

#3 - Jul 02, 2018 04:45 PM - Roberto Cirillo

- Status changed from New to In Progress

On node44.p.d4science.research-infrastructures.eu (VREModeler service, not provisioned), the scope will be removed manually.

While, in the other services, the scope will be removed from ansible-playbook and the changes will be applied during the next downtime, planned for

gCube 4.12.

#4 - Jul 02, 2018 04:54 PM - Roberto Cirillo

- % Done changed from 0 to 10

node44.p.d4science.research-infrastructures.eu removed

#5 - Jul 02, 2018 05:22 PM - Roberto Cirillo

- % Done changed from 10 to 40
scope removed from ansible-playbook.

We should also remove the Edison key from the playbook.

#6 - Jul 02, 2018 08:05 PM - Andrea Dell'Amico

- % Done changed from 40 to 80

#10 - Jul 04, 2018 02:56 PM - Roberto Cirillo

- Related to Upgrade #12019: D4Science Infrastructure Upgrade to gCube 4.12.0 added

#11 - Aug 29, 2018 04:01 PM - Roberto Cirillo

- Status changed from In Progress to Paused

- % Done changed from 80 to 90

Removed from Edison VO the following services:

socialnetworking1.d4science.org

catalogue-ws.d4science.org

 Now, only the dataminer instances are still running under Edison VO. The dataminer scopes will be updated when the new VO is active: the Edison

VO will be replaced with a new VO. In this way, in one shot we could remove the old one and add the new one to the dataminer instances.

#12 - Aug 30, 2018 10:00 AM - Roberto Cirillo

- Blocks deleted (Task #11862:  Dismiss EDISON Virtual Organisation and related enabling services)

#13 - Aug 30, 2018 10:00 AM - Roberto Cirillo

- Related to Task #11862:  Dismiss EDISON Virtual Organisation and related enabling services added

#14 - Sep 05, 2018 03:06 PM - Roberto Cirillo

- Related to Task #12352: Add new VO scope D4OS to all the dataminer instances added

#15 - Sep 05, 2018 03:07 PM - Roberto Cirillo

- Status changed from Paused to Closed

- % Done changed from 90 to 100
